<?php

declare(strict_types=1);

namespace App\Filament\Resources\HealthTreatments\Pages;

use App\Filament\Resources\HealthTreatments\HealthTreatmentResource;
use Filament\Resources\Pages\ViewRecord;

class ViewHealthTreatment extends ViewRecord
{
    protected static string $resource = HealthTreatmentResource::class;

    public function mount(int|string $record): void
    {
        parent::mount($record);
        $this->getRecord()->load(['project', 'product', 'producer', 'updates']);
    }
}
